### Class

# Gimp ExportOptions

#### Description [src]

    final class Gimp.ExportOptions : GObject.Object
    {
      /* No available fields */
    }

A class holding generic export options.

Note: right now, GIMP does not provide any generic export option to manipulate, and there is practically no reason for you to create this object yourself. In Export PDB procedure, or again in functions such as `gimp_file_save()`, you may just pass `NULL`.

In the future, this object will enable to pass various generic options, such as ability to crop or resize images at export time.

#### Ancestors

- GObject

#### Instance methods

###### gimp_export_options_get_image

Takes an image to be exported, possibly creating a temporary copy modified according to export settings in `options` (such as the capabilities of the export format).

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.ExportOptions:capabilities

What `GimpExportCapabilities` are supported.

since: 3.0.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpExportOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.